#include "vision.h"
#include <bits/stdc++.h>

using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1,1,2,1,2,2};
}

int getMove1d(std::vector<int> v)
{
    if(v.size() == 3) {
        if(v[0] == 2) return 0;
        else return 2;
    }
    vector<int>v1={1,1,2,1,2};
    vector<int>v2={2,1,2,2,1};
    vector<int>v3={1,2,2,1,1};
    vector<int>v4={2,1,2,1,1};
    vector<int>v5={1,2,2,1,2};
    vector<int>v6={1,1,2,2,1};
    if(v == v1 or v == v2 or v == v3) return 4;
    else return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
